/* organização de baner para que imagem seja fundo fixa */
.banner {
    display: flex;
    align-items: center;
    justify-content: end;
    background: url(../img/banner-carro.png) center center no-repeat;
    background-size: cover;
    background-attachment: fixed;
    width: 100%;
    height: 85vh;
    box-shadow: inset 0px 300px 300px rgba(0, 0, 0, 0.671);
    border-bottom: 3px solid var(--color-primaria);
    margin-bottom: 100px;
}

.banner-card {
    background-color: var(--background-color);
    padding: 25px;
    width: 30%;
    display: flex;
    align-items: center;
    flex-direction: column;
    row-gap: 15px;
    border-radius: 10px;
    margin-right: 10px;
}

.banner-card__title {
    color: var(--primary-color);
    font-size: 2.5rem;
}

.banner-card__text {
    font-size: 1.5rem;
    text-align: center;
    color: var(--text-color);
}

.banner-card__btn {
    background-color: transparent;
    width: 25%;
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
    padding: 10px;
    cursor: pointer;
    transition: background-color .5s;
    font-weight: bold;
}

.banner-card__btn:hover {
    background-color: var(--primary-color);
    color: var(--secondary-text-color);
}

@media (max-width: 1436px) {
    .banner-card__title {
        font-size: 2rem;
    }

    .banner-card__text {
        font-size: 1rem;
    }
}

/* mudança de imagem quando formato menor de pagina(celular)*/
@media (max-width:1300px) {
    .banner {
        display: flex;
        align-items: center;
        justify-content: center;
        background: url(../img/banner-carro-celular.jpg) center center no-repeat;
        background-size: cover;
        background-attachment: fixed;
    }
    
    .banner-card {
        width: 80%;
    }
}

@media (max-width:600px) {
    .banner {
        height: 100vh;
        background-size: cover;
        background-attachment: fixed;
    }

    .banner-card__title {
        font-size: 1.5rem;
    }

    .banner-card__text {
        font-size: 0.8rem;
        text-align: center;
    }

    .banner-card__btn {
        width: 50%;
    }
}